OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_DefinitionLevel Class Reference

defines IGESDefinitionLevel, Type <406> Form <1>
in package IGESGraph

`#include <IGESGraph_DefinitionLevel.hxx>`

Inheritance diagram for IGESGraph_DefinitionLevel:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGraph_DefinitionLevel ()
Standard_EXPORT void | Init (const Handle(TColStd_HArray1OfInteger)&allLevelNumbers)
| This method is used to set the fields of the class DefinitionLevel - allLevelNumbers : Values of Level Numbers .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>
Standard_EXPORT Standard_Integer | NbLevelNumbers () const
| Must return the count of levels (== NbPropertyValues) .
Standard_EXPORT Standard_Integer | LevelNumber (const Standard_Integer LevelIndex) const
| returns the Level Number of <me> indicated by <levelindex> raises an exception if LevelIndex is <= 0 or LevelIndex > NbPropertyValues
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfInteger | theLevelNumbers

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_DefinitionLevel::IGESGraph_DefinitionLevel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_DefinitionLevel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_LevelListEntity.

Standard_EXPORT void IGESGraph_DefinitionLevel::Init | ( | const Handle(TColStd_HArray1OfInteger)& | allLevelNumbers | ) |

Standard_EXPORT Standard_Integer IGESGraph_DefinitionLevel::LevelNumber | ( | const Standard_Integer | LevelIndex | ) | const`[virtual]`

| Implements IGESData_LevelListEntity.

Standard_EXPORT Standard_Integer IGESGraph_DefinitionLevel::NbLevelNumbers | ( |  | ) | const`[virtual]`

| Implements IGESData_LevelListEntity.

Standard_EXPORT Standard_Integer IGESGraph_DefinitionLevel::NbPropertyValues | ( |  | ) | const

## Field Documentation

Handle_TColStd_HArray1OfInteger IGESGraph_DefinitionLevel::theLevelNumbers`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_DefinitionLevel.hxx